/* ==================================================== */
/* This source code published as public domain property */ 
/* Developer: Rompo Punyanitya 				   	        */
/*            BCS from RMIT university        	        */
/* Website: www.users.bigpond.net.au/rpunyani/          */
/* Email:   rpunyani@bigpond.net.au                     */
/* ==================================================== */
#include "DebugUtils.h"
void MsgAlert(const char *str)
{
  BAlert *myalert = new BAlert(str,str,"OK");
  myalert->Go();
}
void MsgRect(const char *rectname,BRect r)
{
  BString str;
  str << "Rect [" << rectname << "]";
  str << " = [" << r.left << ",";
  str << r.top << ",";
  str << r.right << ",";
  str << r.bottom << "]";
  MsgAlert(str.String());
}
void MsgPoint(const char *pointname,BPoint p)
{
  BString str;
  str << "Point [" << pointname << "]";
  str << " = [" << p.x << ",";
  str << p.y << "]";
  MsgAlert(str.String());
}
void MsgOffset(off_t value)
{
  BString str;
  str << "Offset = " << value;
  MsgAlert(str.String());
}