/* ==================================================== */
/* This source code published as public domain property */ 
/* Developer: Rompo Punyanitya 				   	        */
/*            BCS from RMIT university        	        */
/* Website: www.users.bigpond.net.au/rpunyani/          */
/* Email:   rpunyani@bigpond.net.au                     */
/* ==================================================== */
#ifndef INKLEVEL_VIEW_H
#define INKLEVEL_VIEW_H
#include <View.h>
#include <String.h>
#include <InkLevelGroup.h>
namespace InkLevelViewSpace
{
  int const pattern_height = 5; 
  int const gap = 2;
  int const space = 7;
  int const width = 10;  
};
class InkLevelView : public BView, public InkLevelGroup
{
  public:
    InkLevelView(BRect frame,const char *name,int inknum);
    void Draw(BRect rect);
    static int ViewWidth(int);
  private:
    void DrawBox(BRect rect);
    void DrawLevel(int index,BRect rect);
    void DrawPattern(int index,BRect rect);
    void DrawInBox(BRect rect,rgb_color);
    void DrawInBoxLevel(int index,BRect rect);
    void FillLevel(int index,BRect rect);
};
#endif