#ifndef PRINTERDRIVER_H
#define PRINTERDRIVER_H
#include <AppKit.h>
#include <StorageKit.h>
#include <Alert.h>
#include <String.h>
#include "PageSetupWindow.h"
class PrinterDriver
{
  public:
    PrinterDriver(uint8 unit);
    virtual ~PrinterDriver();
    virtual status_t PrintJob(BFile *spool_file,BNode *spool_dir,BMessage *msg);
    virtual status_t PageSetup(BMessage *msg);
    virtual status_t JobSetup(BMessage *msg);
    status_t AddPrinter(const char *printer_name);
  protected:
    uint8 funit;
};
#endif