/* ==================================================== */
/* This source code published as public domain property */ 
/* Developer: Rompo Punyanitya 				   	        */
/*            BCS from RMIT university        	        */
/* Website: www.users.bigpond.net.au/rpunyani/          */
/* Email:   rpunyani@bigpond.net.au                     */
/* ==================================================== */
#ifndef INKLEVELGROUP_H
#define INKLEVELGROUP_H
#include <List.h>
#include <InkLevelItem.h>
class InkLevelGroup : private BList
{
  public:
    InkLevelGroup(int inks);
    ~InkLevelGroup();
    
    void ItemLevel(int index,float)const;
    float ItemLevel(int index)const;
    
    void ItemColor(int index,rgb_color)const;
    bool ItemColor(int index,rgb_color*)const;
    
    int CountInks(void);
    int NextLowInk(float low_value,int index = 0);
};
#endif