/* ==================================================== */
/* This source code published as public domain property */ 
/* Developer: Rompo Punyanitya 				   	        */
/*            BCS from RMIT university        	        */
/* Website: www.users.bigpond.net.au/rpunyani/          */
/* Email:   rpunyani@bigpond.net.au                     */
/* ==================================================== */
#include <InkLevelItem.h>
InkLevelItem::InkLevelItem(rgb_color color,float level)
:fcolor(color)
{
  Level(level);
}
void InkLevelItem::Color(rgb_color color)
{
  fcolor = color;
}
rgb_color InkLevelItem::Color(void)const
{
  return fcolor;
}
float InkLevelItem::Level(void)const
{
  return flevel;
}
void InkLevelItem::Level(float level)
{
  if (level < 0.0)
  flevel = 0;
  else if (level > 1.0)
  flevel = 1.0;
  else
  flevel = level;
}