#ifndef PARTIALPREVIEW_VIEW_H
#define PARTIALPREVIEW_VIEW_H
#include <Bitmap.h>
#include <View.h>
#include <Point.h>
#include <Window.h>
#include <Screen.h>
#include <ScrollBar.h>
class PartialPreviewView : public BView
{
  public:
    PartialPreviewView(BRect fraem,BBitmap *bitmap);
    virtual void Draw(BRect draw_rect);
    virtual void AttachedToWindow(void);
    virtual void FrameResized(float width,float height);
    
    void SetBitmap(BBitmap *);
    BBitmap *Bitmap();
    
    void Update();

  private:
	void GetMaxSize(float *maxx, float *maxy);		// done
    void FixupScrollbars(void); 					// done
  private:
    BBitmap *fbitmap;
};
#endif