/* ==================================================== */
/* This source code published as public domain property */ 
/* Developer: Rompo Punyanitya 				   	        */
/*            BCS from RMIT university        	        */
/* Website: www.users.bigpond.net.au/rpunyani/          */
/* Email:   rpunyani@bigpond.net.au                     */
/* ==================================================== */
#ifndef PRINTINGQUALITYVIEW_H
#define PRINTINGQUALITYVIEW_H
#include <View.h>
#include <Bitmap.h>
#include "quality_poor_bitmap.h"
#include "quality_normal_bitmap.h"
#include "quality_best_bitmap.h"
class PrintingQualityView : public BView
{
  public:
    PrintingQualityView(BRect rect,uint8 range = 0,uint8 value = 0);
    virtual ~PrintingQualityView();
    virtual void Draw(BRect updateRect);
  public:  
    void Range(uint8);
    uint8  Range();
    void Value(uint8);
    uint8  Value();
  private:
    BBitmap *fbitmap[3];
    uint8 frange;
    uint8 fvalue;
};
#endif